Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create import resume

POST/workspaces/{organizationId}/import/{jobId}/resume
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
jobIdstringrequired
Request body
application/json
credentialsany | null
limitinteger
min 1
Responses
200

Import batch resumed

okbooleanrequired
sourcestringrequired
jobIdstringrequired
statusstringrequired
countsobject
nextCursorstring
404

Import job not found

409

Import job is not resumable

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/import/string/resume' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "credentials": null,
  "limit": 1
}'
Response
{
  "ok": true,
  "source": "string",
  "jobId": "string",
  "status": "string",
  "counts": {
    "property1": 0,
    "property2": 0
  },
  "nextCursor": "string"
}

Was this page helpful?